[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TSeekOrigin

Specifies the origin of the TStream.Seek method.

## Declaration

Source position: classesh.inc line 61

`type TSeekOrigin = (`
`soBeginning,` |  | Offset is interpreted relative to the start of the stream.
`soCurrent,` |  | Offset is interpreted relative to the current position in the stream.
`soEnd` |  | Offset is interpreted relative to the end of the stream.
`);`